Skip to main content
`Ctrl`+`K`

# DMPlexCreateBallMesh

Creates a simplex mesh on the d-dimensional ball, B^d.

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexCreateBallMesh(MPI_Comm comm, PetscInt dim, PetscReal R, DM *dm)

Collective

## Input Parameters

- comm - The communicator for the `DM` object

- dim - The dimension

- R - The radius

## Output Parameter

- dm - The `DM` object

## Options Database Key

- bd_dm_refine - This will refine the surface mesh preserving the sphere geometry

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreateSphereMesh()`, `DMPlexCreateBoxMesh()`, `DMSetType()`, `DMCreate()`

## Level

beginner

## Location

src/dm/impls/plex/plexcreate.c

## Implementations

DMPlexCreateBallMesh_Internal() in src/dm/impls/plex/plexcreate.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages